@import url('https://fonts.googleapis.com/css2?family=Comfortaa&family=Kaushan+Script&family=Oswald&display=swap');

:root {
  --primary-color: rgb(255, 92, 92);
  --primary-variant: #ff2d2d;
  --secondary-color: #1b9999;
  --on-primary: rgb(250, 250, 250);
  --on-background: rgb(66, 66, 66);
  --on-background-alt: rgba(66, 66, 66, 0.7);
  --background: rgb(255, 255, 255);
  --box-shadow: 0 5px 20px 1px rgba(0, 0, 0, 0.5);
}
 *{
  margin:0;
  padding:0;
  box-sizing:border-box;
}

html {
  box-sizing: border-box;
  scroll-behavior: smooth;
} 

 body {
  margin: 0;
  color: var(--on-background);
  font-family: Comfortaa, sans-serif;
  background-color: var(--background);
  background-image: url("data:image/svg+xml,%3Csvg width='180' height='180' viewBox='0 0 180 180' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M81.28 88H68.413l19.298 19.298L81.28 88zm2.107 0h13.226L90 107.838 83.387 88zm15.334 0h12.866l-19.298 19.298L98.72 88zm-32.927-2.207L73.586 78h32.827l.5.5 7.294 7.293L115.414 87l-24.707 24.707-.707.707L64.586 87l1.207-1.207zm2.62.207L74 80.414 79.586 86H68.414zm16 0L90 80.414 95.586 86H84.414zm16 0L106 80.414 111.586 86h-11.172zm-8-6h11.173L98 85.586 92.414 80zM82 85.586L87.586 80H76.414L82 85.586zM17.414 0L.707 16.707 0 17.414V0h17.414zM4.28 0L0 12.838V0h4.28zm10.306 0L2.288 12.298 6.388 0h8.198zM180 17.414L162.586 0H180v17.414zM165.414 0l12.298 12.298L173.612 0h-8.198zM180 12.838L175.72 0H180v12.838zM0 163h16.413l.5.5 7.294 7.293L25.414 172l-8 8H0v-17zm0 10h6.613l-2.334 7H0v-7zm14.586 7l7-7H8.72l-2.333 7h8.2zM0 165.414L5.586 171H0v-5.586zM10.414 171L16 165.414 21.586 171H10.414zm-8-6h11.172L8 170.586 2.414 165zM180 163h-16.413l-7.794 7.793-1.207 1.207 8 8H180v-17zm-14.586 17l-7-7h12.865l2.333 7h-8.2zM180 173h-6.613l2.334 7H180v-7zm-21.586-2l5.586-5.586 5.586 5.586h-11.172zM180 165.414L174.414 171H180v-5.586zm-8 5.172l5.586-5.586h-11.172l5.586 5.586zM152.933 25.653l1.414 1.414-33.94 33.942-1.416-1.416 33.943-33.94zm1.414 127.28l-1.414 1.414-33.942-33.94 1.416-1.416 33.94 33.943zm-127.28 1.414l-1.414-1.414 33.94-33.942 1.416 1.416-33.943 33.94zm-1.414-127.28l1.414-1.414 33.942 33.94-1.416 1.416-33.94-33.943zM0 85c2.21 0 4 1.79 4 4s-1.79 4-4 4v-8zm180 0c-2.21 0-4 1.79-4 4s1.79 4 4 4v-8zM94 0c0 2.21-1.79 4-4 4s-4-1.79-4-4h8zm0 180c0-2.21-1.79-4-4-4s-4 1.79-4 4h8z' fill='%2349bdc9' fill-opacity='0.3' fill-rule='evenodd'/%3E%3C/svg%3E");
}

.h1 {
  font-family: Kaushan Script, sans-serif;
  font-size: 100px;
  margin-bottom: 0;
  text-align:center;
}
.h2 {
  color: var(--on-background-alt);
  font-size: 32px;
  font-weight: normal;
  text-align:center;

}

.home-text{
  width:100%;
  overflow:hidden;
  margin-left:0px;
  max-width:1000px;
}

.home-text h1{
  animation: 2s home-text 0.5s forwards;
  transform:translateX(-100%);
}
.home-text h2{
  animation: 2s home-text 1.7s forwards;
  transform:translateX(-100%);
}
@keyframes home-text{
  to {
    transform:translateX(0)
  }  
}

/* these are general styles for the h1, h2 texts 
 h1 is for all the the titles  */

nav {
  /* z-index: 1; */
  top:0;
  position: sticky;
  display:flex;
  justify-content: space-around;
  font-family: Oswald, sans-serif;
  font-size: 30px;
  letter-spacing: 3px;
  width: 100vw;
  max-width:100%;
  background: rgb(255 255 255 / 50%);
  background-color:var(--background)
} 
 a{
  color: var(--primary-color);
  text-decoration: none;
  border-bottom: 3px solid transparent;
  font-weight: bold;
} 
a:hover{
  color: var(--on-background);
  border-bottom: 3px solid;
} 
.home{
  display:flex;
  justify-content:center;
  align-items:center;
  width:100vw;
  height:100vh; 
  max-width:100%;
}
@media only screen and (max-width: 760px) {
  nav{
 font-size:20px;
  }

}

/* Above are the navbar styles */
.Project-container{
  display:grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  margin:10px;
}
.li{
  margin:5px;
}
/* put a media query to fix the stuff here so that on smaller screens
it will look okay just change grid-template-columns: 1fr 1f; */
@media only screen and (max-width: 1100px) {
  .Project-container {
    grid-template-columns: 1fr 1fr;
  }
}
@media only screen and (max-width: 760px) {
  .Project-container {
    grid-template-columns: auto;
  }
}

.Project-title{
  display:flex;
  justify-content:center;
}

.Project{
  border:2px solid black;
  border-radius:15px;
  margin:3px;
  background-color: var(--background);
  box-shadow:var(--box-shadow);
  transition: all .2s ease-in-out;

}
.Project:hover{
  transform:scale(1.03);
}
.Project-links{
  display:flex;
  justify-content:space-around;

}
#image1{
  object-fit: cover;
  max-width:100%;
  height:auto;
  background-color: rgba(0, 0, 0, 0.1);
  padding:2px;
}

.text-box{
  width: 60%;
  text-align: justify;
  background: rgb(0 0 0 / 50%);
  color: var(--on-primary);
  border-radius: 10px;
  padding: 30px;
  margin:10px;
}
@media only screen and (max-width: 760px) {
  .text-box{
    width:auto;
  }
}
.resume-button{
  border-radius:  15px;
  padding:10px;
  transition-duration: 0.4s;width:200px;
  height:40px;
  border:solid black 2px;
  margin-bottom:10px;
  margin-left:80px;
}
@media only screen and (max-width: 400px) {
  .About-title{
  margin-top:500px;
}
}
@media only screen and (max-width: 600px) {
  .About-title{
  margin-top:200px;
}
}
@media only screen and (max-width: 400px) {
  .social-icons{
  margin-top:300px;
}
}

.About-title{
  display:flex;
  justify-content:center;
  flex-direction:column;
  text-align:center;
}
.resume-button:hover {
  background-color: #4CAF50;
  color: white;
  text-decoration:none;
 
}

.About{
  display:flex;
  flex-direction:column;
  justify-content:center;
  align-items:center;
  height:100vh;
}
.About-upper{
  display:grid;
  grid-template-columns: 1fr 1fr;
  font-size:20px;
}
/* @media only screen and (max-width: 1560px) { */
.text-box1{ 
  width: 90%;
  text-align: left;
  background: rgb(0 0 0 / 50%);
  color: var(--on-primary);
  border-radius: 10px;
  padding: 30px;
  font-size:1.1em;
  margin:10px;
  display:flex;
  justify-content: center;
  margin-left:auto;
  margin-top:40px;
  margin-right:auto;
}
/* #textbox1{
  text-align: justify;
} */
@media only screen and (max-width: 700px) {
  .About-title{
    margin-top:300px;
  }
}
@media only screen and (max-width: 376px) {
.About-title{
  margin-top:700px;
}
.social-icons{
  margin-top:400px;
}
}

@media only screen and (max-width: 760px) {
  .About-upper{
  grid-template-columns: 1fr;
  }
  h1{
    font-size:40px;
  }
  h2{
    font-size:20px;
  }
} 

.social-icons {
  display:flex;
  justify-content:space-around;
  align-items:center;
  margin-bottom:10px;
  height:100vh;
}
